import { execSync } from "child_process";
import path from "path";
import fs from "fs-extra";
export async function initializeGit(projectPath) {
    try {
        process.chdir(projectPath);
        execSync("git init", { stdio: "ignore" });
        // Create and write .gitignore
        const gitignoreContent = `
node_modules/
dist/
build/
coverage/
.env
.env.local
.env.*.local
.DS_Store
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
`;
        await fs.writeFile(path.join(projectPath, ".gitignore"), gitignoreContent);
        // Initial commit
        execSync("git add .", { stdio: "ignore" });
        execSync('git commit -m "Initial commit"', { stdio: "ignore" });
        return true;
    }
    catch (error) {
        console.error("Failed to initialize git repository:", error);
        return false;
    }
}
//# sourceMappingURL=git.js.map